Bug 740605 - VDSM: getSessionList isn't working
Summary: VDSM: getSessionList isn't working
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Igor Lvovsky
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 16:16 UTC by Avi Tal
Modified: 2016-04-18 06:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-04 15:19:44 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Avi Tal 2011-09-22 16:16:26 UTC
[root@silver-vdsa ~]# vdsClient 0 getSessionList 
Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 1987, in <module>
    code, message = commands[command][0](commandArgs)
  File "/usr/share/vdsm/vdsClient.py", line 558, in getSessionList
    sessions = self.s.getSessionList()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1253, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
Fault: <Fault 1: '<type \'exceptions.Exception\'>:method "getSessionList" is not supported'>

Comment 1 Dan Kenigsberg 2011-09-22 17:09:33 UTC
that was done intentionally, as part of bug 638099.

we should follow suit by cleaning vdsClient and more importantly: vdsm-sosplugin.py

Comment 2 Igor Lvovsky 2012-04-04 15:19:44 UTC
getSessionList  doesn't exist anymore


Note You need to log in before you can comment on or make changes to this bug.